Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/interp_horiz.F90	(revision 5116)
@@ -22,29 +22,29 @@
   !  """""""""
 
-  integer :: imo, jmo ! dimensions ancienne grille (input)
-  integer :: imn, jmn  ! dimensions nouvelle grille (input)
+  INTEGER :: imo, jmo ! dimensions ancienne grille (input)
+  INTEGER :: imn, jmn  ! dimensions nouvelle grille (input)
 
-  real :: rlonuo(imo + 1)     !  Latitude et
-  real :: rlatvo(jmo)       !  longitude des
-  real :: rlonun(imn + 1)     !  bord des
-  real :: rlatvn(jmn)     !  cases "scalaires" (input)
+  REAL :: rlonuo(imo + 1)     !  Latitude et
+  REAL :: rlatvo(jmo)       !  longitude des
+  REAL :: rlonun(imn + 1)     !  bord des
+  REAL :: rlatvn(jmn)     !  cases "scalaires" (input)
 
-  integer :: lm ! dimension verticale (input)
-  real :: varo (imo + 1, jmo + 1, lm) ! var dans l'ancienne grille (input)
-  real :: varn (imn + 1, jmn + 1, lm) ! var dans la nouvelle grille (output)
+  INTEGER :: lm ! dimension verticale (input)
+  REAL :: varo (imo + 1, jmo + 1, lm) ! var dans l'ancienne grille (input)
+  REAL :: varn (imn + 1, jmn + 1, lm) ! var dans la nouvelle grille (output)
 
   ! Autres variables
   ! """"""""""""""""
-  real :: airetest(imn + 1, jmn + 1)
-  integer :: ii, jj, l
+  REAL :: airetest(imn + 1, jmn + 1)
+  INTEGER :: ii, jj, l
 
-  real :: airen (imn + 1, jmn + 1) ! aire dans la nouvelle grille
+  REAL :: airen (imn + 1, jmn + 1) ! aire dans la nouvelle grille
   !    Info sur les ktotal intersection entre les cases new/old grille
-  integer :: kllm, k, ktotal
+  INTEGER :: kllm, k, ktotal
   parameter (kllm = 400 * 200 * 10)
-  integer :: iik(kllm), jjk(kllm), jk(kllm), ik(kllm)
-  real :: intersec(kllm)
-  real :: R
-  real :: totn, tots
+  INTEGER :: iik(kllm), jjk(kllm), jk(kllm), ik(kllm)
+  REAL :: intersec(kllm)
+  REAL :: R
+  REAL :: totn, tots
 
   logical :: firstcall, firsttest, aire_ok
@@ -128,8 +128,8 @@
   !!        do ii=1, imn+1
   !!          r = airen(ii,jj)/airetest(ii,jj)
-  !!          if ((r.gt.1.001).or.(r.lt.0.999)) then
+  !!          if ((r.gt.1.001).or.(r.lt.0.999)) THEN
   !! !             write (*,*) '********** PROBLEME D'' AIRES !!!',
   !! !     &                   ' DANS L''INTERPOLATION HORIZONTALE'
-  !! !             write(*,*)'ii,jj,airen,airetest',
+  !! !             WRITE(*,*)'ii,jj,airen,airetest',
   !! !     &          ii,jj,airen(ii,jj),airetest(ii,jj)
   !!              aire_ok = .FALSE.
@@ -137,5 +137,5 @@
   !!        END DO
   !!       END DO
-  !! !      if (aire_ok) write(*,*) 'INTERP. HORIZ. : AIRES OK'
+  !! !      if (aire_ok) WRITE(*,*) 'INTERP. HORIZ. : AIRES OK'
   !!  99   continue
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/leapfrog.F90	(revision 5116)
@@ -15,6 +15,6 @@
           iecri, ip_ebil_dyn, ok_dynzon, ok_dyn_ins, &
           periodav, ok_dyn_ave, output_grads_dyn
-  use exner_hyb_m, only: exner_hyb
-  use exner_milieu_m, only: exner_milieu
+  use exner_hyb_m, ONLY: exner_hyb
+  use exner_milieu_m, ONLY: exner_milieu
   USE comvert_mod, ONLY: ap, bp, pressure_exner, presnivs
   USE comconst_mod, ONLY: cpp, dtphys, dtvr, pi, ihf
@@ -85,5 +85,5 @@
   REAL :: w(ip1jmp1, llm)                    ! vertical velocity
 
-  real :: zqmin, zqmax
+  REAL :: zqmin, zqmax
 
   ! variables dynamiques intermediaire pour le transport
@@ -124,5 +124,5 @@
   INTEGER :: ik
 
-  real :: time_step, t_wrt, t_ops
+  REAL :: time_step, t_wrt, t_ops
 
   ! REAL rdayvrai,rdaym_ini
@@ -137,13 +137,13 @@
   save first
   data first/.TRUE./
-  real :: dt_cum
-  character(len = 10) :: infile
-  integer :: zan, tau0, thoriid
-  integer :: nid_ctesGCM
+  REAL :: dt_cum
+  CHARACTER(LEN = 10) :: infile
+  INTEGER :: zan, tau0, thoriid
+  INTEGER :: nid_ctesGCM
   save nid_ctesGCM
-  real :: degres
-  real :: rlong(iip1), rlatg(jjp1)
-  real :: zx_tmp_2d(iip1, jjp1)
-  integer :: ndex2d(iip1 * jjp1)
+  REAL :: degres
+  REAL :: rlong(iip1), rlatg(jjp1)
+  REAL :: zx_tmp_2d(iip1, jjp1)
+  INTEGER :: ndex2d(iip1 * jjp1)
   logical :: ok_sync
   parameter (ok_sync = .TRUE.)
@@ -151,5 +151,5 @@
 
   data callinigrads/.TRUE./
-  character(len = 10) :: string10
+  CHARACTER(LEN = 10) :: string10
 
   REAL :: flxw(ip1jmp1, llm)  ! flux de masse verticale
@@ -170,7 +170,7 @@
   !-jld
 
-  character(len = 80) :: dynhist_file, dynhistave_file
-  character(len = *), parameter :: modname = "leapfrog"
-  character(len = 80) :: abort_message
+  CHARACTER(LEN = 80) :: dynhist_file, dynhistave_file
+  CHARACTER(LEN = *), parameter :: modname = "leapfrog"
+  CHARACTER(LEN = 80) :: abort_message
 
   logical :: dissip_conservative
@@ -186,7 +186,7 @@
   logical, parameter :: flag_verif = .FALSE.
 
-  integer :: itau_w   ! pas de temps ecriture = itap + itau_phy
-
-  if (nday>=0) then
+  INTEGER :: itau_w   ! pas de temps ecriture = itap + itau_phy
+
+  if (nday>=0) THEN
     itaufin = nday * day_step
   else
@@ -212,5 +212,5 @@
   dq(:, :, :) = 0.
   CALL pression (ip1jmp1, ap, bp, ps, p)
-  if (pressure_exner) then
+  if (pressure_exner) THEN
     CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
   else
@@ -236,5 +236,5 @@
   CALL check_isotopes_seq(q, ip1jmp1, 'leapfrog 321')
 
-  if (ok_guide) then
+  if (ok_guide) THEN
     CALL guide_main(itau,ucov,vcov,teta,q,masse,ps)
   endif
@@ -310,5 +310,5 @@
   ! Ehouarn: for Shallow Water case (ie: 1 vertical layer),
   ! supress dissipation step
-  if (llm==1) then
+  if (llm==1) THEN
     apdiss = .FALSE.
   endif
@@ -341,5 +341,5 @@
             p, masse, dq, teta, &
             flxw, pk)
-    !write(*,*) 'caladvtrac 346'
+    !WRITE(*,*) 'caladvtrac 346'
 
     IF (offline) THEN
@@ -389,5 +389,5 @@
 
     CALL pression (ip1jmp1, ap, bp, ps, p)
-    if (pressure_exner) then
+    if (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
     else
@@ -417,7 +417,7 @@
     jD_cur = jD_cur + int(jH_cur)
     jH_cur = jH_cur - int(jH_cur)
-    ! write(lunout,*)'itau, jD_cur = ', itau, jD_cur, jH_cur
+    ! WRITE(lunout,*)'itau, jD_cur = ', itau, jD_cur, jH_cur
     ! CALL ju2ymds(jD_cur+jH_cur, an, mois, jour, secondes)
-    ! write(lunout,*)'current date = ',an, mois, jour, secondes
+    ! WRITE(lunout,*)'current date = ',an, mois, jour, secondes
 
     ! rajout debug
@@ -453,5 +453,5 @@
     CALL pression (ip1jmp1, ap, bp, ps, p)
     CALL massdair(p, masse)
-    if (pressure_exner) then
+    if (pressure_exner) THEN
       CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
     else
@@ -485,5 +485,5 @@
     ENDDO ! of DO l=1,llm
 
-    if (planet_type=="giant") then
+    if (planet_type=="giant") THEN
       ! add an intrinsic heat flux at the base of the atmosphere
       teta(:, 1) = teta(:, 1) + dtvr * aire(:) * ihf / cpp / masse(:, 1)
@@ -511,5 +511,5 @@
 
   CALL pression (ip1jmp1, ap, bp, ps, p)
-  if (pressure_exner) then
+  if (pressure_exner) THEN
     CALL exner_hyb(ip1jmp1, ps, p, pks, pk, pkf)
   else
@@ -539,5 +539,5 @@
 
     !------------------------------------------------------------------------
-    if (dissip_conservative) then
+    if (dissip_conservative) THEN
       ! On rajoute la tendance due a la transform. Ec -> E therm. cree
       ! lors de la dissipation
@@ -570,5 +570,5 @@
     ENDDO
 
-    if (1 == 0) then
+    if (1 == 0) THEN
       !!! Ehouarn: lines here 1) kill 1+1=2 in the dynamics
       !!!                     2) should probably not be here anyway
@@ -590,5 +590,5 @@
 
   ! ajout debug
-  ! IF( lafin ) then
+  ! IF( lafin ) THEN
   !   abort_message = 'Simulation finished'
   !   CALL abort_gcm(modname,abort_message,0)
@@ -620,11 +620,11 @@
     ENDIF
 
-    IF(itau == itaufinp1) then
-      if (flag_verif) then
-        write(79, *) 'ucov', ucov
-        write(80, *) 'vcov', vcov
-        write(81, *) 'teta', teta
-        write(82, *) 'ps', ps
-        write(83, *) 'q', q
+    IF(itau == itaufinp1) THEN
+      if (flag_verif) THEN
+        WRITE(79, *) 'ucov', ucov
+        WRITE(80, *) 'vcov', vcov
+        WRITE(81, *) 'teta', teta
+        WRITE(82, *) 'ps', ps
+        WRITE(83, *) 'q', q
         WRITE(85, *) 'q1 = ', q(:, :, 1)
         WRITE(86, *) 'q3 = ', q(:, :, 3)
@@ -668,5 +668,5 @@
     IF(MOD(itau, iecri)==0) THEN
       ! ! Ehouarn: output only during LF or Backward Matsuno
-      if (leapf.or.(.not.leapf.and.(.not.forward))) then
+      if (leapf.or.(.not.leapf.and.(.not.forward))) THEN
         CALL geopot(ip1jmp1, teta, pk, pks, phis, phi)
         unat = 0.
@@ -675,6 +675,6 @@
           vnat(:, l) = vcov(:, l) / cv(:)
         enddo
-          if (ok_dyn_ins) then
-            ! write(lunout,*) "leapfrog: CALL writehist, itau=",itau
+          if (ok_dyn_ins) THEN
+            ! WRITE(lunout,*) "leapfrog: CALL writehist, itau=",itau
            CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
             ! CALL WriteField('ucov',reshape(ucov,(/iip1,jmp1,llm/)))
@@ -685,5 +685,5 @@
           endif ! of if (ok_dyn_ins)
         ! For some Grads outputs of fields
-        if (output_grads_dyn) then
+        if (output_grads_dyn) THEN
           include "write_grads_dyn.h"
         endif
@@ -694,5 +694,5 @@
 
 
-      ! if (planet_type.eq."earth") then
+      ! if (planet_type.eq."earth") THEN
       ! Write an Earth-format restart file
       CALL dynredem1("restart.nc", start_time, &
@@ -701,5 +701,5 @@
 
       CLOSE(99)
-      if (ok_guide) then
+      if (ok_guide) THEN
         ! ! set ok_guide to false to avoid extra output
         ! ! in following forward step
@@ -760,5 +760,5 @@
 
       forward = .FALSE.
-      IF(itau == itaufinp1) then
+      IF(itau == itaufinp1) THEN
         abort_message = 'Simulation finished'
         CALL abort_gcm(modname, abort_message, 0)
@@ -799,11 +799,11 @@
           vnat(:, l) = vcov(:, l) / cv(:)
         enddo
-          if (ok_dyn_ins) then
-             ! write(lunout,*) "leapfrog: CALL writehist (b)",
+          if (ok_dyn_ins) THEN
+             ! WRITE(lunout,*) "leapfrog: CALL writehist (b)",
   ! &                        itau,iecri
             CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
           endif ! of if (ok_dyn_ins)
         ! For some Grads outputs
-        if (output_grads_dyn) then
+        if (output_grads_dyn) THEN
           include "write_grads_dyn.h"
         endif
@@ -812,9 +812,9 @@
 
       IF(itau==itaufin) THEN
-        ! if (planet_type.eq."earth") then
+        ! if (planet_type.eq."earth") THEN
         CALL dynredem1("restart.nc", start_time, &
                 vcov, ucov, teta, q, masse, ps)
         ! endif ! of if (planet_type.eq."earth")
-        if (ok_guide) then
+        if (ok_guide) THEN
           ! ! set ok_guide to false to avoid extra output
           ! ! in following forward step
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/qminimum.F90	(revision 5116)
@@ -33,6 +33,6 @@
   REAL :: zx_defau, zx_abc, zx_pump(ip1jmp1), pompe
 
-  real :: zx_defau_diag(ip1jmp1, llm, 2)
-  real :: q_follow(ip1jmp1, llm, 2)
+  REAL :: zx_defau_diag(ip1jmp1, llm, 2)
+  REAL :: q_follow(ip1jmp1, llm, 2)
   !
   REAL :: SSUM
@@ -64,6 +64,5 @@
   DO k = 1, llm
     DO i = 1, ip1jmp1
-      if (seuil_liq - q(i, k, iq_liq) > 0.d0) then
-
+      if (seuil_liq - q(i, k, iq_liq) > 0.d0) THEN
         if (niso > 0) zx_defau_diag(i, k, 2) = AMAX1 &
                 (seuil_liq - q(i, k, iq_liq), 0.0)
@@ -81,6 +80,5 @@
     !cc      zx_abc = dpres(k) / dpres(k-1)
     DO i = 1, ip1jmp1
-      if (seuil_vap - q(i, k, iq_vap) > 0.d0) then
-
+      if (seuil_vap - q(i, k, iq_vap) > 0.d0) THEN
         if (niso > 0) zx_defau_diag(i, k, 1) &
                 = AMAX1(seuil_vap - q(i, k, iq_vap), 0.0)
@@ -113,6 +111,6 @@
   ENDIF
 
-  !write(*,*) 'qminimum 128'
-  if (niso > 0) then
+  !WRITE(*,*) 'qminimum 128'
+  if (niso > 0) THEN
     ! CRisi: traiter de même les traceurs d'eau
     ! Mais il faut les prendre à l'envers pour essayer de conserver la
@@ -123,14 +121,14 @@
     ! génant
     DO i = 1, ip1jmp1
-      if (zx_pump(i)>0.0) then
+      if (zx_pump(i)>0.0) THEN
         q_follow(i, 1, 1) = q_follow(i, 1, 1) + zx_pump(i)
-      endif !if (zx_pump(i).gt.0.0) then
+      endif !if (zx_pump(i).gt.0.0) THEN
     enddo !DO i = 1,ip1jmp1
 
     ! 2) transfert de vap vers les couches plus hautes
-    !write(*,*) 'qminimum 139'
+    !WRITE(*,*) 'qminimum 139'
     do k = 2, llm
       DO i = 1, ip1jmp1
-        if (zx_defau_diag(i, k, 1)>0.0) then
+        if (zx_defau_diag(i, k, 1)>0.0) THEN
           ! on ajoute la vapeur en k
           do ixt = 1, ntiso
@@ -153,5 +151,5 @@
                   - zx_defau_diag(i, k, 1) &
                           * deltap(i, k) / deltap(i, k - 1)
-        endif !if (zx_defau_diag(i,k,1).gt.0.0) then
+        endif !if (zx_defau_diag(i,k,1).gt.0.0) THEN
       enddo !DO i = 1, ip1jmp1
     enddo !do k=2,llm
@@ -161,9 +159,8 @@
 
     ! 3) transfert d'eau de la vapeur au liquide
-    !write(*,*) 'qminimum 164'
+    !WRITE(*,*) 'qminimum 164'
     do k = 1, llm
       DO i = 1, ip1jmp1
-        if (zx_defau_diag(i, k, 2)>0.0) then
-
+        if (zx_defau_diag(i, k, 2)>0.0) THEN
           ! ! on ajoute eau liquide en k en k
           do ixt = 1, ntiso
@@ -180,5 +177,5 @@
           q_follow(i, k, 1) = q_follow(i, k, 1) &
                   - zx_defau_diag(i, k, 2)
-        endif !if (zx_defau_diag(i,k,1).gt.0.0) then
+        endif !if (zx_defau_diag(i,k,1).gt.0.0) THEN
       enddo !DO i = 1, ip1jmp1
     enddo !do k=2,llm
@@ -186,6 +183,6 @@
     CALL check_isotopes_seq(q, ip1jmp1, 'qminimum 197')
 
-  endif !if (niso > 0) then
-  ! !write(*,*) 'qminimum 188'
+  endif !if (niso > 0) THEN
+  ! !WRITE(*,*) 'qminimum 188'
 
   !
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/replay3d.F90	(revision 5116)
@@ -71,5 +71,5 @@
   LOGICAL lafin
 
-  integer :: ntime=10000,it,klon,klev
+  INTEGER :: ntime=10000,it,klon,klev
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/sw_case_williamson91_6.F90	(revision 5116)
@@ -87,5 +87,5 @@
       enddo
     enddo
-    write(lunout, *) 'W91 ps', MAXVAL(ps), MINVAL(ps)
+    WRITE(lunout, *) 'W91 ps', MAXVAL(ps), MINVAL(ps)
     ! vitesse zonale ucov
     do j = 1, jjp1
@@ -101,5 +101,5 @@
       enddo
     enddo
-    write(lunout, *) 'W91 u', MAXVAL(ucov(:, 1)), MINVAL(ucov(:, 1))
+    WRITE(lunout, *) 'W91 u', MAXVAL(ucov(:, 1)), MINVAL(ucov(:, 1))
     ucov(:, 1) = ucov(:, 1) * cu
     ! vitesse meridienne vcov
@@ -114,5 +114,5 @@
       enddo
     enddo
-    write(lunout, *) 'W91 v', MAXVAL(vcov(:, 1)), MINVAL(vcov(:, 1))
+    WRITE(lunout, *) 'W91 v', MAXVAL(vcov(:, 1)), MINVAL(vcov(:, 1))
     vcov(:, 1) = vcov(:, 1) * cv
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j.F90	(revision 5116)
@@ -33,5 +33,5 @@
   REAL :: pgcm(ilon, ilev)
   REAL :: Qgcm(ilon, ilev)
-  real :: pres
+  REAL :: pres
   REAL :: Qpres(ilon)
 
@@ -54,5 +54,5 @@
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
-  if (lnew) then
+  if (lnew) THEN
     !   on réinitialise les réindicages et les poids
     !=====================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/tetaleveli1j1.F90	(revision 5116)
@@ -33,5 +33,5 @@
   REAL :: pgcm(ilon, ilev)
   REAL :: Qgcm(ilon, ilev)
-  real :: pres
+  REAL :: pres
   REAL :: Qpres(ilon)
 
@@ -54,5 +54,5 @@
   ! PRINT*,'tetalevel pres=',pres
   !=====================================================================
-  if (lnew) then
+  if (lnew) THEN
     !   on réinitialise les réindicages et les poids
     !=====================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/top_bound.F90	(revision 5116)
@@ -70,5 +70,5 @@
   REAL :: uzon(jjp1, llm), vzon(jjm, llm), tzon(jjp1, llm)
 
-  integer :: i
+  INTEGER :: i
   REAL, SAVE :: rdamp(llm) ! quenching coefficient
   real, save :: lambda(llm) ! inverse or quenching time scale (Hz)
@@ -80,6 +80,6 @@
   if (iflag_top_bound==0) return
 
-  if (first) then
-    if (iflag_top_bound==1) then
+  if (first) THEN
+    if (iflag_top_bound==1) THEN
       ! sponge quenching over the topmost 4 atmospheric layers
       lambda(:) = 0.
@@ -88,5 +88,5 @@
       lambda(llm - 2) = tau_top_bound / 4.
       lambda(llm - 3) = tau_top_bound / 8.
-    else if (iflag_top_bound==2) then
+    else if (iflag_top_bound==2) THEN
       ! sponge quenching over topmost layers down to pressures which are
       ! higher than 100 times the topmost layer pressure
@@ -99,10 +99,10 @@
     rdamp(:) = 1. - exp(-lambda(:) * dt)
 
-    write(lunout, *)'TOP_BOUND mode', mode_top_bound
-    write(lunout, *)'Sponge layer coefficients'
-    write(lunout, *)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
+    WRITE(lunout, *)'TOP_BOUND mode', mode_top_bound
+    WRITE(lunout, *)'Sponge layer coefficients'
+    WRITE(lunout, *)'p (Pa)  z(km)  tau(s)   1./tau (Hz)'
     do l = 1, llm
-      if (rdamp(l)/=0.) then
-        write(lunout, '(6(1pe12.4,1x))') &
+      if (rdamp(l)/=0.) THEN
+        WRITE(lunout, '(6(1pe12.4,1x))') &
                 presnivs(l), log(preff / presnivs(l)) * scaleheight, &
                 1. / lambda(l), lambda(l)
@@ -115,5 +115,5 @@
 
   ! compute zonal average of vcov and u
-  if (mode_top_bound>=2) then
+  if (mode_top_bound>=2) THEN
     do l = 1, llm
       do j = 1, jjm
@@ -147,5 +147,5 @@
 
   ! compute zonal average of potential temperature, if necessary
-  if (mode_top_bound>=3) then
+  if (mode_top_bound>=3) THEN
     do l = 1, llm
       do j = 2, jjm ! excluding poles
@@ -161,5 +161,5 @@
   endif ! of if (mode_top_bound.ge.3)
 
-  if (mode_top_bound>=1) then
+  if (mode_top_bound>=1) THEN
     ! Apply sponge quenching on vcov:
     do l = 1, llm
@@ -183,5 +183,5 @@
   endif ! of if (mode_top_bound.ge.1)
 
-  if (mode_top_bound>=3) then
+  if (mode_top_bound>=3) THEN
     ! Apply sponge quenching on teta:
     do l = 1, llm
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlsplt.F90	(revision 5116)
@@ -361,5 +361,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  !write(*,*) 'vlsplt 326: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
+  !WRITE(*,*) 'vlsplt 326: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
 
   do ifils=1,tracers(iq)%nqDescen
@@ -372,5 +372,5 @@
         !Mvals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) then
+        if (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -464,5 +464,5 @@
 
   REAL :: convpn,convps,convmpn,convmps
-  real :: massepn,masseps,qpn,qps
+  REAL :: massepn,masseps,qpn,qps
   REAL :: sinlon(iip1),sinlondlon(iip1)
   REAL :: coslon(iip1),coslondlon(iip1)
@@ -479,5 +479,5 @@
   DATA first/.TRUE./
 
-  ! !write(*,*) 'vly 578: entree, iq=',iq
+  ! !WRITE(*,*) 'vly 578: entree, iq=',iq
 
   IF(first) THEN
@@ -658,5 +658,5 @@
   ENDDO
 
-  ! !write(*,*) 'vly 756'
+  ! !WRITE(*,*) 'vly 756'
   DO l=1,llm
    DO ij=1,ip1jm
@@ -676,5 +676,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-   ! write(*,*) 'vly 689: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
+   ! WRITE(*,*) 'vly 689: iq,nqDesc(iq)=',iq,tracers(iq)%nqDescen
 
   do ifils=1,tracers(iq)%nqDescen
@@ -688,5 +688,5 @@
         ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) then
+        if (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -744,5 +744,5 @@
   enddo
 
-  ! !write(*,*) 'vly 853: sortie'
+  ! !WRITE(*,*) 'vly 853: sortie'
 
 
@@ -814,5 +814,5 @@
   ENDDO
 
-  ! !write(*,*) 'vlz 954'
+  ! !WRITE(*,*) 'vlz 954'
   DO ij=1,ip1jmp1
      dzq(ij,1)=0.
@@ -846,5 +846,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  ! !write(*,*) 'vlsplt 942: iq,nqChildren(iq)=',iq,nqChildren(iq)
+  ! !WRITE(*,*) 'vlsplt 942: iq,nqChildren(iq)=',iq,nqChildren(iq)
   do ifils=1,tracers(iq)%nqDescen
     iq2=tracers(iq)%iqDescen(ifils)
@@ -855,5 +855,5 @@
         ! !MVals: veiller a ce qu'on n'ait pas de denominateur nul
         masseq(ij,l,iq2)=max(masse(ij,l,iq)*q(ij,l,iq),min_qMass)
-        if (q(ij,l,iq)>min_qParent) then
+        if (q(ij,l,iq)>min_qParent) THEN
           Ratio(ij,l,iq2)=q(ij,l,iq2)/q(ij,l,iq)
         else
@@ -897,8 +897,8 @@
   INCLUDE "paramet.h"
 
-  character(len=20) :: comment
-  real :: qmin,qmax
-  real :: zq(ip1jmp1,llm)
-  real :: zzq(iip1,jjp1,llm)
+  CHARACTER(LEN=20) :: comment
+  REAL :: qmin,qmax
+  REAL :: zq(ip1jmp1,llm)
+  REAL :: zzq(iip1,jjp1,llm)
 
 END SUBROUTINE  minmaxq
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/vlspltqs.F90	(revision 5116)
@@ -171,5 +171,5 @@
     ENDDO
   enddo
-  !write(*,*) 'vlspltqs 183: fin de la routine'
+  !WRITE(*,*) 'vlspltqs 183: fin de la routine'
 
 
@@ -452,5 +452,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  !write(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
+  !WRITE(*,*) 'vlspltqs 326: iq,nqChildren(iq)=',iq,
   ! &                 tracers(iq)%nqChildren
 
@@ -758,5 +758,5 @@
   ! CRisi: appel récursif de l'advection sur les fils.
   ! Il faut faire ça avant d'avoir mis à jour q et masse
-  !write(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
+  !WRITE(*,*) 'vlyqs 689: iq,nqChildren(iq)=',iq,
   ! &              tracers(iq)%nqChildren
 
@@ -772,5 +772,5 @@
   do ifils = 1, tracers(iq)%nqChildren
     iq2 = tracers(iq)%iqDescen(ifils)
-    ! !write(*,*) 'vlyqs 783: appel rec de vly, iq2=',iq2
+    ! !WRITE(*,*) 'vlyqs 783: appel rec de vly, iq2=',iq2
     CALL vly(Ratio, pente_max, masseq, qbyv, iq2)
   enddo
@@ -827,5 +827,5 @@
   ENDDO
 
-  ! !write(*,*) 'vly 866'
+  ! !WRITE(*,*) 'vly 866'
 
   ! retablir les fils en rapport de melange par rapport a l'air:
@@ -838,5 +838,5 @@
     enddo
   enddo
-  ! !write(*,*) 'vly 879'
+  ! !WRITE(*,*) 'vly 879'
 
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/wrgrads.f90	(revision 5116)
@@ -2,4 +2,5 @@
 
 subroutine wrgrads(if, nl, field, name, titlevar)
+  USE lmdz_formcoord, ONLY: formcoord
   IMPLICIT NONE
 
@@ -14,16 +15,16 @@
 
   !   arguments
-  integer :: if, nl
-  real :: field(imx * jmx * lmx)
+  INTEGER :: if, nl
+  REAL :: field(imx * jmx * lmx)
 
   integer, parameter :: wp = selected_real_kind(p = 6, r = 36)
   real(wp) field4(imx * jmx * lmx)
 
-  character(len = 10) :: name, file
-  character(len = 10) :: titlevar
+  CHARACTER(LEN = 10) :: name, file
+  CHARACTER(LEN = 10) :: titlevar
 
   !   local
 
-  integer :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
+  INTEGER :: im, jm, lm, i, j, l, iv, iii, iji, iif, ijf
 
   logical :: writectl
@@ -43,6 +44,6 @@
   ! print*,im,jm,lm,name,firsttime(if)
 
-  if(firsttime(if)) then
-    if(name==var(1, if)) then
+  IF(firsttime(if)) THEN
+    IF(name==var(1, if)) THEN
       firsttime(if) = .false.
       ivar(if) = 1
@@ -66,10 +67,10 @@
   else
     ivar(if) = mod(ivar(if), nvar(if)) + 1
-    if (ivar(if)==nvar(if)) then
+    if (ivar(if)==nvar(if)) THEN
       writectl = .true.
       itime(if) = itime(if) + 1
     endif
 
-    if(var(ivar(if), if)/=name) then
+    IF(var(ivar(if), if)/=name) THEN
       print*, 'Il faut stoker la meme succession de champs a chaque'
       print*, 'pas de temps'
@@ -90,32 +91,31 @@
     !    s (l-1)*imd(if)*jmd(if)+(iji-1)*imd(if)+iii
     !    s ,(l-1)*imd(if)*jmd(if)+(ijf-1)*imd(if)+iif
-    write(unit(if) + 1, rec = irec(if)) &
+    WRITE(unit(if) + 1, rec = irec(if)) &
             ((field4((l - 1) * imd(if) * jmd(if) + (j - 1) * imd(if) + i) &
                     , i = iii, iif), j = iji, ijf)
   enddo
-  if (writectl) then
-
+  if (writectl) THEN
     file = fichier(if)
     !   WARNING! on reecrase le fichier .ctl a chaque ecriture
     open(unit(if), file = trim(file) // '.ctl' &
             , form = 'formatted', status = 'unknown')
-    write(unit(if), '(a5,1x,a40)') &
+    WRITE(unit(if), '(a5,1x,a40)') &
             'DSET ', '^' // trim(file) // '.dat'
 
-    write(unit(if), '(a12)') 'UNDEF 1.0E30'
-    write(unit(if), '(a5,1x,a40)') 'TITLE ', title(if)
+    WRITE(unit(if), '(a12)') 'UNDEF 1.0E30'
+    WRITE(unit(if), '(a5,1x,a40)') 'TITLE ', title(if)
     CALL formcoord(unit(if), im, xd(iii, if), 1., .false., 'XDEF')
     CALL formcoord(unit(if), jm, yd(iji, if), 1., .true., 'YDEF')
     CALL formcoord(unit(if), lm, zd(1, if), 1., .false., 'ZDEF')
-    write(unit(if), '(a4,i10,a30)') &
+    WRITE(unit(if), '(a4,i10,a30)') &
             'TDEF ', itime(if), ' LINEAR 02JAN1987 1MO '
-    write(unit(if), '(a4,2x,i5)') 'VARS', nvar(if)
+    WRITE(unit(if), '(a4,2x,i5)') 'VARS', nvar(if)
     do iv = 1, nvar(if)
       ! print*,'if,var(iv,if),nld(iv,if),nld(iv,if)-1/nld(iv,if)'
       ! print*,if,var(iv,if),nld(iv,if),nld(iv,if)-1/nld(iv,if)
-      write(unit(if), 1000) var(iv, if), nld(iv, if) - 1 / nld(iv, if) &
+      WRITE(unit(if), 1000) var(iv, if), nld(iv, if) - 1 / nld(iv, if) &
               , 99, tvar(iv, if)
     enddo
-    write(unit(if), '(a7)') 'ENDVARS'
+    WRITE(unit(if), '(a7)') 'ENDVARS'
     !
     1000   format(a5, 3x, i4, i3, 1x, a39)
@@ -125,6 +125,4 @@
   endif ! writectl
 
-
-
 END SUBROUTINE wrgrads
 
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d/write_paramLMDZ_dyn.h	(revision 5116)
@@ -107,9 +107,9 @@
      .               zx_tmp_2d,iip1*jjp1,ndex2d)
 c
-      if (calend == 'earth_360d') then
+      if (calend == 'earth_360d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=1.
-      else if (calend == 'earth_365d') then
+      else if (calend == 'earth_365d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=2.
-      else if (calend == 'earth_366d') then
+      else if (calend == 'earth_366d') THEN
         zx_tmp_2d(1:iip1,1:jjp1)=3.
       endif
@@ -240,5 +240,5 @@
 c=================================================================
 c
-      if (ok_sync) then
+      if (ok_sync) THEN
         CALL histsync(nid_ctesGCM)
       endif
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/academic.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/academic.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/academic.h	(revision 5116)
@@ -3,7 +3,7 @@
 
       common/academic/tetarappel,knewt_t,kfrict,knewt_g,clat4
-      real :: tetarappel(ip1jmp1,llm)
-      real :: knewt_t(llm)
-      real :: kfrict(llm)
-      real :: knewt_g
-      real :: clat4(ip1jmp1)
+      REAL :: tetarappel(ip1jmp1,llm)
+      REAL :: knewt_t(llm)
+      REAL :: kfrict(llm)
+      REAL :: knewt_g
+      REAL :: clat4(ip1jmp1)
Index: /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/dyn3d_common/adaptdt.f90	(revision 5116)
@@ -43,6 +43,6 @@
     dtbon=dtvr/n
 
-   return
-end subroutine adaptdt
+   RETURN
+END SUBROUTINE adaptdt
 
 
